import React, { PropTypes } from 'react';
import {
  View,
  StyleSheet,
} from 'react-native';

const styles = StyleSheet.create({
  week: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    marginTop: 10,
  },
});

const Week = (props) => {
  const {
    style,
    children,
  } = props;
  return (
    <View style={[styles.week, style.week]}>
      {children}
    </View>
  );
};
Week.propTypes = {
  style: PropTypes.shape({
    week: View.propTypes.style,
  }),
  children: PropTypes.oneOfType([PropTypes.element, PropTypes.array]),
};
Week.defaultProps = {
  style: null,
  children: [],
};
export default Week;
