import React, {
  PropTypes,
} from 'react';
import {
  View,
  Text,
} from 'react-native';
import Label from '../../Label';
import styles from './style';

const CalenderHeader = (props) => {
  const {
    weekData,
    style,
  } = props;
  const {
    header,
    label,
  } = style;
  return (
    <View style={[styles.header, header]}>
      {
        weekData.map((item, index) => {
          const key = index;
          const labelprops = {
            title: item.title,
            el: item.el,
            style: item.style || label || styles.label,
          };
          return <Label key={key} label={labelprops} />;
        })
      }
    </View>
  );
};
CalenderHeader.propTypes = {
  weekData: PropTypes.arrayOf(PropTypes.shape({
    title: PropTypes.string,
  })),
  style: PropTypes.shape({
    header: View.propTypes.style,
    label: Text.propTypes.style,
  }),
};
CalenderHeader.defaultProps = {
  weekData: [{ title: '周一' }, { title: '周二' }, { title: '周三' }, { title: '周四' }, { title: '周五' }, { title: '周六' }, { title: '周天' }],
  style: {},
};

export default CalenderHeader;
