import React, { PropTypes } from 'react';
import { View, Text } from 'react-native';
import Label from '../../Label';
import Line from '../Line';
import styles from './style';

const AxisX = (props) => {
  const {
    data,
    Interval,
    style,
  } = props;

  return (
    <View style={[styles.AxisX, style.AxisX]}>
      <Line style={style.lineX} />
      <View style={styles.labelGroupX}>
        {data.map((name, index) => {
          const key = index;
          return ((index + 1) % Interval !== 0 ? <Label key={key} label={{ title: `${name}`, style: [styles.labelX, style.labelX] }} /> : <Label key={key} label={{ title: '', style: [styles.labelX, style.labelX] }} />);
        })}
      </View>
    </View>
  );
};

AxisX.propTypes = {
  data: PropTypes.arrayOf(PropTypes.number),
  Interval: PropTypes.number,
  style: PropTypes.shape({
    AxisX: View.propTypes.style,
    lineX: View.propTypes.style,
    labelX: Text.propTypes.style,
  }),
};
AxisX.defaultProps = {
  data: null,
  Interval: 0,
  style: null,
};

export default AxisX;
