import React, {
  PropTypes,
} from 'react';
import {
  View,
  Text,
} from 'react-native';
import Label from '../../Label';
import Line from '../Line';
import styles from './style';

// const lcm = (m, n) => { // 辗转相除法 求最大公约数
//   for (let j = Math.min(m, n); j > 0; j -= 1) {
//     if (m % j === 0 && n % j === 0) {
//       return j;
//     }
//   }
// };

const AxisY = (props) => {
  const {
    max,
    style,
  } = props;
  const List = [];
  const splitNumber = props.splitNumber > 0 ? props.splitNumber : 1;
  const maxNumber = max;
  const average = maxNumber / splitNumber;


  for (let i = splitNumber; i > 0 || i === 0; i -= 1) {
    List.push(
      <Label key={i} label={{ title: `${Math.round(average * i)}`, style: [styles.labelY, style.labelY] }} />,
    );
  }

  return (
    <View style={[styles.AxisY, style.AxisY]}>
      <View style={styles.labelGroupY}>{List}</View>
      <Line vertical style={style.lineY} />
    </View>
  );
};

AxisY.propTypes = {
  max: PropTypes.number,
  splitNumber: PropTypes.number,
  style: PropTypes.shape({
    AxisY: View.propTypes.style,
    labelY: Text.propTypes.style,
    lineY: View.propTypes.style,
  }),
};
AxisY.defaultProps = {
  max: null,
  splitNumber: 0,
  style: null,
};

export default AxisY;
