import React, {
  PropTypes,
  Component,
} from 'react';
import {
  View,
} from 'react-native';
import Axis from './Axis';
import Rectangular from './Rectangular';
import styles from './style';

class Chart extends Component {
  static propTypes = {
    style: View.propTypes.style,
    children: PropTypes.oneOfType([PropTypes.element, PropTypes.array]),
  }
  static defaultProps = {
    style: {},
    children: null,
  };
  render() {
    return (
      <View style={[styles.container, this.props.style]}>
        {this.props.children}
      </View>
    );
  }
}
Chart.Rectangular = Rectangular;
Chart.AxisX = Axis.X;
Chart.AxisY = Axis.Y;
export default Chart;

