import React, {
  PropTypes,
} from 'react';
import {
  Text,
  StyleSheet,
} from 'react-native';

const styles = StyleSheet.create({
  textStyle: {
    color: '#888',
  },
});
const Label = (props) => {
  const { title, el, style, ...attributes } = props.label;
  if (el) return el;
  return (
    <Text style={[styles.textStyle, style]} {...attributes}>{title} </Text>
  );
};
Label.propTypes = {
  label: PropTypes.shape({
    title: PropTypes.string,
    el: PropTypes.element,
    style: Text.propTypes.style,
  }),
};
Label.defaultProps = {
  label: {},
};
export default Label;
