import React, {
  PropTypes,
} from 'react';

import {
  Modal, TouchableWithoutFeedback, View,
} from 'react-native';

import { noop } from '../helper';

const propTypes = {
  children: PropTypes.node,
  onPress: PropTypes.func,
  style: View.propTypes.style,
  visible: PropTypes.bool,
};
const defaultProps = {
  children: null,
  onPress: noop,
  style: null,
  visible: false,
};

function Overlay({
  children, onPress, style, visible,
}) {
  return (
    <Modal animationType="fade" transparent visible={visible}>
      <TouchableWithoutFeedback onPress={onPress}>
        <View backgroundColor="rgba(0,0,0,.3)" style={style} position="absolute" top={0} right={0} bottom={0} left={0} />
      </TouchableWithoutFeedback>
      {children}
    </Modal>
  );
}

Overlay.propTypes = propTypes;
Overlay.defaultProps = defaultProps;

export default Overlay;
