import React, {
  Component, PropTypes,
} from 'react';

import {
  TouchableNativeFeedback, TouchableOpacity, Platform,
} from 'react-native';

const propTypes = {
  children: PropTypes.element,
};
const defaultProps = {
  children: null,
};

class Button extends Component {
  renderBtn = () => {
    const { props } = this;
    const { children } = props;
    if (Platform.OS === 'ios') {
      return (
        <TouchableOpacity {...props}>
          {children}
        </TouchableOpacity>
      );
    }
    return (
      <TouchableNativeFeedback
        delayPressIn={0}
        background={TouchableNativeFeedback.SelectableBackground()}
        {...props}
      >
        {children}
      </TouchableNativeFeedback>
    );
  }

  render() {
    return this.renderBtn();
  }
}

Button.propTypes = propTypes;
Button.defaultProps = defaultProps;

export default Button;
